#########
# Only two Postinstall tasks.
#  1. Add '' to ld.so.conf and run ldconfig
#  2. Check for config file. 
#


## function for checking config-files.
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # if there's no config file by that name, mv it over
  if [ ! -f $OLD ]; then
    mv $NEW $OLD
  else
    # check to see if it differs from old one, if it doesn't remove the new
    diff -q $OLD $NEW >/dev/null 2>&1 && rm $NEW
  fi
 # if we still have a .new file in the /etc it's likely that the admin
 # has changed something, and therefore we doesn't update it.
}

##list of conf files to check.
config "etc/GeoIP.conf.new"

## check if the appropiate library path is in ld.so.conf, else add it
echo
if ! egrep "^/usr/lib *$" /etc/ld.so.conf &> /dev/null; then
  echo "Adding "/usr/lib" to /etc/ld.so.conf"
  echo /usr/lib >> /etc/ld.so.conf
fi
ldconfig

## Everything below this line is added by makepkg ##
( cd usr/lib ; rm -rf libGeoIP.so.1 )
( cd usr/lib ; ln -sf libGeoIP.so.1.3.6 libGeoIP.so.1 )
( cd usr/lib ; rm -rf libGeoIP.so )
( cd usr/lib ; ln -sf libGeoIP.so.1.3.6 libGeoIP.so )
( cd usr/lib ; rm -rf libGeoIPUpdate.so.0 )
( cd usr/lib ; ln -sf libGeoIPUpdate.so.0.0.0 libGeoIPUpdate.so.0 )
( cd usr/lib ; rm -rf libGeoIPUpdate.so )
( cd usr/lib ; ln -sf libGeoIPUpdate.so.0.0.0 libGeoIPUpdate.so )
( cd usr/lib ; rm -rf libGeoIPBitReader.so.0 )
( cd usr/lib ; ln -sf libGeoIPBitReader.so.0.0.0 libGeoIPBitReader.so.0 )
( cd usr/lib ; rm -rf libGeoIPBitReader.so )
( cd usr/lib ; ln -sf libGeoIPBitReader.so.0.0.0 libGeoIPBitReader.so )
